package de.steamwar.lobby.particle.elements;

import de.steamwar.lobby.particle.ParticleElement;
import de.steamwar.lobby.particle.ParticleTickData;
import de.steamwar.lobby.particle.ParticleTickType;

public class Always extends DelegatingParticleElement {

    public Always(ParticleElement particleElement) {
        super(particleElement);
    }

    @Override
    public String attribute() {
        return "PARTICLE_ATTRIBUTE_TICK";
    }

    @Override
    public ParticleTickType tickType() {
        return ParticleTickType.ALWAYS;
    }

    @Override
    public void tick(ParticleTickData particleTickData) {
        particleElement.tick(particleTickData);
    }
}
